gloss-1.7.8.3: Painless 2D vector graphics, animations and simulations.

Safe Haskell | Safe-Inferred

Graphics.Gloss.Geometry.Angle

Description

Geometric functions concerning angles. If not otherwise specified, all angles are in radians.

Synopsis

- degToRad :: Float -> Float
- radToDeg :: Float -> Float
- normaliseAngle :: Float -> Float

# Documentation

degToRad :: Float -> Float Source

Convert degrees to radians

radToDeg :: Float -> Float Source

Convert radians to degrees

normaliseAngle :: Float -> Float Source

Normalise an angle to be between 0 and 2*pi radians